Register person

Prev Next

Available in VPC

Add a new person. If you do not enter the person's name, they will be registered as an anonymous person. You can edit the person's information later by clicking Edit person information.

Note

To check if the same person is already registered, use Compare person to search for similar people before registering.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/workspaces/{workspace_name}/persons

Request headers

For information about the request headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name

Request body

You can include the following data in the body of your request:

Field Type Required Description
name String Optional Person name
  • 1-50 characters.
  • No duplicates can be created within the workspace.
  • If no value is entered or a null value is entered, the person will be registered as anonymous.
  • You can't register if the string is empty or contains only spaces.
description String Optional Person description
  • 1-700 characters
thumbnails Array Required List of thumbnails to register
  • Up to 100 can be registered.
  • Each item includes thumbnailKey and isPrimaryThumbnail fields.
  • Only one main thumbnail can be specified.
thumbnails[].thumbnailKey String Required Key value of the uploaded thumbnail
  • Example: persons/thumbnails/hong.jpg
thumbnails[].isPrimaryThumbnail Boolean Required Whether it is the main thumbnail
  • true (default) | false

Request example

The request example is as follows:

Register by specifying the person's name

curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "name": "Gildong Hong",
  "description": "A representative fictional character in Korea.",
  "thumbnails": [
    {
      "thumbnailKey": "persons/thumbnails/hong.jpg",
      "isPrimaryThumbnail": true
    }
  ]
}'

Register as anonymous

curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "thumbnails": [
    {
      "thumbnailKey": "persons/thumbnails/unknown.jpg",
      "isPrimaryThumbnail": true
    }
  ]
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - Generated person information
result.id Integer - Person ID

Response status codes

For information about the response status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
  "code": "0",
  "message": "success",
  "result": {
    "id": 1001
  }
}